#!/bin/bash

#echo -e "LABEL=scratch.ssd   /scratch.ssd        ext4    nofail,noatime,nodiratime,usrjquota=aquota.user,jqfmt=vfsv0,discard,data=writeback,barrier=0    0       2" >> /etc/fstab

echo "# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

source /etc/network/interfaces.d/*

# The loopback network interface
auto lo bond0
iface lo inet loopback

# The primary network interface
allow-hotplug bond0
iface bond0 inet dhcp
    slaves enp37s0f0 enp37s0f1
    bond-mode active-backup
    bond-miimon 100
    bond-downdelay 200
    bond-updelay 200
" > /etc/network/interfaces

wget http://apt.puppetlabs.com/puppet6-release-buster.deb
dpkg -i puppet6-release-buster.deb
apt-get update
apt-get -y dist-upgrade
apt-get -y install puppet-agent quota parted mdadm ifenslave
echo 2 > /sys/module/raid0/parameters/default_layout 
sleep 10
mdadm -S /dev/md2
mdadm -A /dev/md2
mkfs.ext4 -F -L scratch.ssd /dev/md2 || exit 1
mkdir /scratch.ssd
#mount /scratch.ssd
quotacheck -m /
#quotacheck -m /scratch.ssd
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz --waitforcert 120
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz
#reboot
